Bug 6820 - hide receive option if there is nothing to receive
Summary: hide receive option if there is nothing to receive
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Samuel Crosby
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-30 16:21 UTC by Nicole C. Engard
Modified: 2015-12-03 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
vendor search (29.76 KB, image/png)
2011-08-30 16:21 UTC, Nicole C. Engard
Details
Potential bug fix (11.35 KB, patch)
2014-01-06 04:42 UTC, Samuel Crosby
Details | Diff | Splinter Review
Bug 6820 - hide receive option if there is nothing to receive (1.62 KB, patch)
2015-03-27 09:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 6820 - hide receive option if there is nothing to receive (1.81 KB, patch)
2015-03-27 14:05 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 6820 - hide receive option if there is nothing to receive (1.78 KB, patch)
2015-03-27 18:22 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-30 16:21:02 UTC
Created attachment 5227 [details]
vendor search

Maybe we should hide the receive shipment link on the vendor search if there is nothing to receive - or rename it to say 'received shipments' since that's what you see when you go there.
Comment 1 Samuel Crosby 2014-01-06 04:42:45 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-03-27 09:10:40 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-03-27 14:05:10 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-03-27 18:22:32 UTC
Created attachment 37339 [details] [review]
[PASSED QA] Bug 6820 - hide receive option if there is nothing to receive

The "receive shipment" button appears even if there are no orders to receive.
This patch hides the button if there are no orders.

To test the patch:
1. Go to "aquisitions"
2. Create a vendor
3. As the newly created vendor has no orders, there will now be no "receive shipment" button
4. Create a basket
5. Go back to the vendor search
6. The button should now appear for that vendor

I've also tested it with a mix of vendors with and without baskets in the same search.

Followed test plan, works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-03-31 14:55:49 UTC
Patch pushed to master.

Thanks Samuel!